
QGIS Application - Bug report #3549

Getting incomplete results from Intersect tool (fTools)

2011-03-06 11:31 AM - gcarrillo -

Status: Closed

Priority: Low

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Debian Easy fix?:

Pull Request or Patch supplied:Yes Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 13609

Description

On r15297 I get incomplete number of polygons when intersecting with the Geoprocessing tool 'Intersect' from fTools.

I attach two shapefiles for testing purposes.

In the command line I get this error:

---------------------

ERROR 1: Attempt to write non-polygon (MULTILINESTRING) geometry to POLYGON type shapefile.

---------------------

Associated revisions

Revision df79503c - 2012-05-26 02:27 PM - Salvatore Larosa

fix #3549

Revision 4295a687 - 2012-05-27 09:29 AM - Alexander Bruy

Merge pull request #150 from slarosa/master

fix #3549

History

#1 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:26 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#3 - 2012-05-26 05:38 AM - Salvatore Larosa

- Assignee deleted (cfarmer -)

- Pull Request or Patch supplied set to No

- Status changed from Open to Feedback

It occurs because the intersection operation generates different geometries types!
In your case, it generates a MultiLineString geometry and try to write in a Polygon geometry.

I sent a pull request that should fix it!

#4 - 2012-05-26 07:41 AM - Jürgen Fischer

- Status changed from Feedback to Open

- Pull Request or Patch supplied changed from No to Yes

#5 - 2012-05-27 12:29 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"4295a687d1e9413c5e138d3fb94febe13996d79c".

#6 - 2012-05-27 12:30 AM - Alexander Bruy

- Resolution set to fixed

#7 - 2017-05-01 01:23 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

test_shps.tar 70 KB 2011-03-06 gcarrillo -
https://github.com/qgis/Quantum-GIS/pull/150

